<main role="main">
       <section class="jumbotron text-center">
         <div class="container">
           <h1 class="jumbotron-heading">Harry Potter Character List</h1>
           <p class="lead text-muted">Do you sat to know more about your favourite Character.</p>
         </div>
       </section>
       <div class="album py-5 bg-light">
         <div class="container">
           <div class="row">
             <div class="col-md-3" *ngFor="let data of charactersData">
               <div class="card mb-4 box-shadow"><a [routerLink]="['details',data.id]">
                   <img class="card-img-top" src="{{data.image}}" alt="{{data.name}}"></a>
                 <div class="card-body">
                   <p class="card-text"><a [routerLink]="['details',data.id]">{{data.name}}</a></p>
                   <div class="d-flex justify-content-between align-items-center">
                     <div class="btn-group"><a [routerLink]="['details',data.id]"><button type="button"
                           class="btn btn-sm btn-outline-secondary">View</button></a></div><small
                       class="text-muted">{{data.dob}}</small>
                   </div>
                 </div>
               </div>
             </div>
     
           </div>
         </div>
       </div>
     </main>